// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '我的团队', leftArrow: false, useBar: true },
    type: '',
    src: '/image/team.png',
    // 主体高度
    infoHeight: '',
    teamlist: [],
  },
  // 跳转菜单
  tabPath(e) {
    let { route } = e.detail.detail;
    if (route) wx.redirectTo({ url: `/${route}` })
  },
  //跳转查看
  tiao: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/team/examine?id=' + id,
    })
  },
  //跳转加入
  jump: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/team/apply?id=' + id,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
   // 监听用户是否登录
   watchLogin: function () {
    var that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        this.setData({
          type: res.data.type,
        })
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team`, //接口地址
          method: 'get',
          data: '',
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              for (let i = 0; i < datas.length; i++) {
                if (datas[i].status == 0) {
                  datas[i].status = '待比赛'
                } else if (datas[i].status == 1) {
                  datas[i].status = '进行中'
                } else if (datas[i].status == 2) {
                  datas[i].status = '报名中'
                } else if (datas[i].status == 3) {
                  datas[i].status = '已结束'
                }
              }
              that.setData({
                teamlist: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
 // 计算高度
 searchHeight: function () {
  let frameStyle = this.data.frameStyle;
  let client = app.globalData.client;
  let infoHeight = client.windowHeight;
  // 是否去掉状态栏
  if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
  // 是否减去底部菜单
  if (frameStyle.useBar) infoHeight = infoHeight - 50;
  if (infoHeight) this.setData({ infoHeight: infoHeight })
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})